Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.domino
Class TaskAssignment

    java.lang.Object
      com.compoze.domino.AbstractItem
          com.compoze.domino.AbstractDocument
              com.compoze.domino.Memo
                  com.compoze.domino.Task
                      com.compoze.domino.TaskNotice
                          com.compoze.domino.TaskAssignment

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  CounteredTaskAssignment, DelegatedTaskAssignment

public class TaskAssignment
extends TaskNotice
implements java.io.Serializable

This class is a Domino task assignment. Task assignment instances are obtained from the `Documents` class. Methods that access properites on the class require that the properties were loaded beforehand, when the assignment was initially retrieved. Any methods in this class that begin with the string `server` make a query to the server, and require that the `PropertyKey.DOCUMENT_ID` and `PropertyKey.DOCUMENT_TYPE` properties to be loaded beforehand. Any additional property requirements are indicated on each individual method.

See Also:
  `TaskNoticeType.ASSIGNMENT`, Serialized Form

Field Summary
`static PropertyKey[]` | `ALL_PROPS` Contains an array of all of the properties available on an assignment.

Fields inherited from class com.compoze.domino.AbstractItem
`m_props, m_session`

Method Summary
`boolean` | `getBroadcast()` Gets the broadcast flag.
`boolean` | `getPreventCounter()` Gets the prevent counter propose flag.
`boolean` | `getPreventDelegate()` Gets the prevent delegate flag.
`void` | `serverAccept(java.lang.String sComment)` Hits the server and accepts the assignment.
`void` | `serverCompleted(java.lang.String sComment)` Hits the server and mark the assignment completed.
`void` | `serverCounter(java.util.Date startDate, java.util.Date dueDate, java.lang.String sComment)` Hits the server and counter proposes the assignment.
`void` | `serverDecline(java.lang.String sComment, boolean bKeepInformed)` Hits the server and declines the assignment.
`void` | `serverDelegate(java.lang.String sDelegee, java.lang.String sComment, boolean bKeepInformed)` Hits the server and delegates the assignment.
`void` | `serverRequestInfo(java.lang.String sComment)` Hits the server and request information about the assignment.

Methods inherited from class com.compoze.domino.TaskNotice
`getNoticeType, getStatusUpdate, getTitle, getTitle, getTopic`

Methods inherited from class com.compoze.domino.Task
`getChair, getDueDateTime, getDueDateTimeArray, getDueDateTimeArrayString, getDueDateTimeArrayString, getDueDateTimeString, getDueState, getInstanceType, getPrincipal, getStartDateTime, getStartDateTimeArray, getStartDateTimeArrayString, getStartDateTimeArrayString, getStartDateTimeString, isRepeating, serverCompleted, serverDelete, serverDelete, serverGetRepeatPattern, serverSetRepeatPattern, serverUpdate, serverUpdate, setDateTimes`

Methods inherited from class com.compoze.domino.Memo
`getBody, getBodyHtml, getBodyHtml, getBodyStoredFormHtml, getBodyStoredFormHtml, getDeliveredDate, getDeliveredDateString, getDeliveryPriority, getDeliveryReportLevel, getFollowUpDate, getFollowUpStatus, getFollowUpText, getImportance, getMemoDate, getMemoDateString, getNormalizedSubject, getPostedDate, getPostedDateString, getPreventCopy, getRecipientInfoArray, getReturnReceipt, getSenderInfo, getSenderName, getSubject, getSubject, getSubject, getSubject, getUnread, isEncrypted, serverForward, serverReply, serverSaveAsDraft, serverSaveAsDraft, serverSaveAsDraft, serverSaveAsDraft, serverUpdate, setBody, setBodyHtml, setDeliveryPriority, setDeliveryReportLevel, setFollowUpDate, setFollowUpStatus, setFollowUpText, setImportance, setPreventCopy, setReturnReceipt, setSubject, setUnread`

Methods inherited from class com.compoze.domino.AbstractDocument
`getAttachmentCount, getAttachmentInfo, getAttachmentInfoArray, getDateCreated, getDateCreatedString, getDateModified, getDateModifiedString, getDocumentType, getEmbeddedImageCount, getEmbeddedImageInfo, getEmbeddedImageInfoArray, getID, getParentID, getSize, getSizeInKilos, hasAttachment, serverAddAttachment, serverCopyTo, serverDeleteAttachment, serverMoveTo`

Methods inherited from class com.compoze.domino.AbstractItem
`get, getBoolean, getDate, getDateArray, getDouble, getInt, getPropertyKeys, getString, getStringArray, getUpdatedPropertyValues, set, setBoolean, setDate, setDouble, setInt, setString, setStringArray`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALL_PROPS

    public static final PropertyKey[] ALL_PROPS

  Contains an array of all of the properties available on an assignment. Although this can be used when specifying property keys to retrieve, it's preferable to only specify the keys that are required as the number of properties that are pulled back from the server has a direct impact on performance.

Method Detail

### serverAccept

    public void serverAccept(java.lang.String sComment)
                      throws DominoException

  Hits the server and accepts the assignment.

  Parameters:
    `sComment` - the comment or `null` for no comment
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.TOPIC`

### serverDecline

    public void serverDecline(java.lang.String sComment,
                              boolean bKeepInformed)
                       throws DominoException

  Hits the server and declines the assignment.

  Parameters:
    `sComment` - the comment or `null` for no comment
    `bKeepInformed` - `true` to keep informed of event updates
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.TOPIC`

### serverDelegate

    public void serverDelegate(java.lang.String sDelegee,
                               java.lang.String sComment,
                               boolean bKeepInformed)
                        throws DominoException

  Hits the server and delegates the assignment. Delegation is not allowed on assignments that have the prevent delegate flag set.

  Parameters:
    `sDelegee` - the delegee name (must not be `null` or empty)
    `sComment` - the comment or `null` for no comment
    `bKeepInformed` - `true` to keep informed of event updates
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.TOPIC`, `PropertyKey.PREVENT_DELEGATE`, `getPreventDelegate()`

### serverCounter

    public void serverCounter(java.util.Date startDate,
                              java.util.Date dueDate,
                              java.lang.String sComment)
                       throws DominoException

  Hits the server and counter proposes the assignment. Counter proposals are not allowed on assignments that are repeating or have the prevent counter flag set.

  Note: the start date must be before the end date. If not, the dates are swapped.

  Parameters:
    `startDate` - the proposed start date (must not be `null`)
    `dueDate` - the proposed due date (must not be `null`)
    `sComment` - the comment or `null` for no comment
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.TOPIC`, `PropertyKey.PREVENT_COUNTER`, `getPreventCounter()`, `Task.isRepeating()`

### serverRequestInfo

    public void serverRequestInfo(java.lang.String sComment)
                           throws DominoException

  Hits the server and request information about the assignment.

  Parameters:
    `sComment` - the comment or `null` for no comment
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.TOPIC`

### serverCompleted

    public void serverCompleted(java.lang.String sComment)
                         throws DominoException

  Hits the server and mark the assignment completed.

  Parameters:
    `sComment` - the comment or `null` for no comment
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.TOPIC`

### getBroadcast

    public boolean getBroadcast()
                         throws DominoException

  Gets the broadcast flag. If this flag is set, you are not required to respond.

  Returns:
    `true` if this is a broadcast; `false` otherwise
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.BROADCAST`

### getPreventCounter

    public boolean getPreventCounter()
                              throws DominoException

  Gets the prevent counter propose flag. If this flag is set, you cannot propose a new time for this assignment (i.e. counter).

  Returns:
    `true` to prevent counter propose; `false` otherwise
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.PREVENT_COUNTER`

### getPreventDelegate

    public boolean getPreventDelegate()
                               throws DominoException

  Gets the prevent delegate flag. If this flag is set, you cannot delegate this assignment to another person.

  Returns:
    `true` to prevent delegating; `false` otherwise
  Throws:
    `DominoException`
  See Also:
    `PropertyKey.PREVENT_DELEGATE`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.